Bug 156726 - CAN-2005-1409 Multiple postgresql issues (CAN-2005-1410)
Summary: CAN-2005-1409 Multiple postgresql issues (CAN-2005-1410)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: postgresql (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL:
Whiteboard: impact=moderate,public=20050502,sourc...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-03 17:55 UTC by Josh Bressers
Modified: 2013-07-03 03:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-01 13:24:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:433 normal SHIPPED_LIVE Moderate: postgresql security update 2005-06-01 04:00:00 UTC

Description Josh Bressers 2005-05-03 17:55:30 UTC
Two serious security errors have been found in PostgreSQL 7.3 and newer
releases.  These errors at least allow an unprivileged database user to
crash the backend process, and may make it possible for an unprivileged
user to gain the privileges of a database superuser.

Comment 2 Josh Bressers 2005-05-03 17:56:51 UTC
This issue should also affect RHEL3

Comment 3 Tom Lane 2005-05-11 17:41:33 UTC
Updates are now in QA for both RHEL4 and RHEL3.  These issues do not affect AS2.1.

Comment 4 Josh Bressers 2005-06-01 13:24:11 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-433.html



Note You need to log in before you can comment on or make changes to this bug.